curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
السمات وقوالب الصفحات
الحصول على قالب صفحة
GET /page-template//
GET
/
page-template
/
{slug}
/
curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
يحصل على قالب صفحة واحد، على مضيف Management API (
يمكن الحصول هنا على أي قالب نشط — نظامي أو تابع لأي حساب — بنفس سلوك القراءة في سرد السمات. تعكس
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/page-template/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
سمة (slug) القالب، من سرد قوالب الصفحات.
curl "https://api.scanova.io/page-template/product-launch-a1b2c3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Product Launch",
"slug": "product-launch-a1b2c3",
"description": "A landing page for launches.",
"category": { "id": 5, "slug": "website-url", "name": "Website URL" },
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": ["business", "launch"],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": "https://cdn.scanova.io/page-templates/3/thumb.png",
"is_premium": false,
"is_system": true,
"is_favourited": false,
"order": 0
}
is_favourited ما إذا كان الحساب المستدعي قد أضاف القالب إلى المفضلة. يُعاد 404 إذا لم تطابق slug أي قالب نشط.
ذات صلة
- سرد قوالب الصفحات — العثور على
slug. - تحديث قالب صفحة — تعديل هذا القالب، إذا كنت تملكه.
- إضافة قالب صفحة إلى المفضلة — تبديل
is_favourited. - نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
One page template.
هل كانت هذه الصفحة مفيدة؟